View Issue Details

IDProjectCategoryView StatusLast Update
0026488LazarusLCLpublic2014-08-02 10:57
ReporterMichael Van Canneyt Assigned ToBart Broersma  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
OSLinux 
Product Version1.3 (SVN) 
Target Version1.2.6 
Summary0026488: FloatEdit doesn't update text when setting Value under certain conditions
DescriptionWhen calling clear, the value of a floatedit should be cleared as well.



Steps To ReproduceRun attached project.

1. Initially, the value of the float edit is set to 10
2. Press 'Step 1' button:
   The Float edit is disabled and cleared.
3. Press 'Step 2' button:
   The Float edit is enabled again and set to 10 (same value as initial).
   The change is not detected, and the float edit stays empty !
Additional InformationTested with today's trunk version of Lazarus.
TagsNo tags attached.
Fixed in Revisionr46005
LazTarget-
WidgetsetGTK 2
Attached Files

Activities

Michael Van Canneyt

2014-07-15 12:07

administrator  

bugfloatedit.zip (129,365 bytes)

Bart Broersma

2014-07-26 14:35

developer   ~0076363

Last edited: 2014-07-26 15:37

View 2 revisions

The same happens when you do SE.Text := 'abc' and then SE.Value := 10.0.
Setting text does not alter the internal FValue.
In Delphi 3 (only has SpinEdit) when I alter the text, and the text is not a number, Value returns 0.

Anyone knows how this works in modern delphi's?

Bart Broersma

2014-08-02 10:57

developer   ~0076422

Please test and close if OK.

Issue History

Date Modified Username Field Change
2014-07-15 12:06 Michael Van Canneyt New Issue
2014-07-15 12:07 Michael Van Canneyt File Added: bugfloatedit.zip
2014-07-26 14:35 Bart Broersma Note Added: 0076363
2014-07-26 15:37 Bart Broersma Note Edited: 0076363 View Revisions
2014-07-26 16:41 Bart Broersma Assigned To => Bart Broersma
2014-07-26 16:41 Bart Broersma Status new => assigned
2014-07-27 12:34 Bart Broersma Summary FloatEdit behaves wrong when clearing => FloatEdit doesn't update text when setting Value under certain conditions
2014-08-02 10:57 Bart Broersma Fixed in Revision => r46005
2014-08-02 10:57 Bart Broersma Note Added: 0076422
2014-08-02 10:57 Bart Broersma Status assigned => resolved
2014-08-02 10:57 Bart Broersma Resolution open => fixed
2014-08-02 10:57 Bart Broersma Target Version => 1.2.6